<header>
  <mat-toolbar color="primary">My Appliances</mat-toolbar>
</header>


<mat-spinner *ngIf="isInitializing"></mat-spinner>


<ng-container *ngIf="!isInitializing">
  <section class="container">
    <app-filters (updateFilters)="onFilterUpdate($event)"></app-filters>
  </section>

  <section class="container" [ngClass]="{'loading': isRefreshing}">

    <div class="no-results" *ngIf="filteredAppliances?.length === 0">
      No appliances found !
      <button mat-raised-button color="primary" (click)="openCreateDialog(true)">Create it !</button>
    </div>

    <ng-container *ngIf="filteredAppliances?.length > 0">
      <div align="right">
        <div class="results-count">
          {{ filteredAppliances?.length }} result(s)
        </div>
      </div>

      <table>
        <thead>
          <tr>
            <th>Serial number</th>
            <th>Brand</th>
            <th>Model</th>
            <th>Date bought</th>
            <th>Status</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let appliance of filteredAppliances">
            <td data-label="Serial number"><span>{{ appliance?.serialNumber }}</span></td>
            <td data-label="Brand"><span>{{ appliance?.brand }}</span></td>
            <td data-label="Model"><span>{{ appliance?.model }}</span></td>
            <td data-label="Date bought"><span>{{ appliance?.dateBought }}</span></td>
            <td data-label="Status"><span>{{ appliance?.status }}</span></td>
            <td>
              <button mat-icon-button (click)="openUpdateDialog(appliance)" matTooltip="Edit">
                <mat-icon>edit</mat-icon>
              </button>
              <button *ngIf="canBeDeleted(appliance)" mat-icon-button (click)="delete(appliance)" matTooltip="Delete">
                <mat-icon>delete</mat-icon>
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </ng-container>

  </section>

  <button mat-fab color="primary" (click)="openCreateDialog()">
    <mat-icon>add</mat-icon>
  </button>
</ng-container>